MarketPe APIs
Vehicle

Vehicle List

vehicle/list

POST /vehicle/list

Request

{
  "createdTimeFrom": "2025-11-12T10:00:00+05:30",
  "createdTimeTo": "2025-11-13T10:00:00+05:30",
  "vehicleOwnerType": "OWNED",
  "status": "ACTIVE"
}

"2025-11-12T10:00:00+05:30" represents 10AM india time.
You can also pass ISO format like "2025-11-12T10:00:00.000Z" but you need to adjust time as this represents 3.30PM india time.

Request Parameters

ParameterTypeRequiredDescription
createdTimeFromstringNoStart of the vehicle-creation time range (inclusive). ISO 8601.
createdTimeTostringNoEnd of the vehicle-creation time range (exclusive). ISO 8601.
vehicleOwnerTypestringNoFilter by vehicle ownership. One of OWNED, MARKET, ATTACHED.
statusstringNoFilter by vehicle status. One of ACTIVE, INACTIVE.

Response

{
  "status": "success",
  "data": [
    {
      "id": "marketpe1234",
      "createdTime": "2025-11-12T10:00:00.000Z",
      "autoIdentifier": "VEH-001",
      "autoIdentifierNumber": 1,
      "registrationNumber": "MH01AB1234",
      "vehicleOwnerType": "OWNED",
      "customFieldValues": {},
      "rc": {
        ...
      },
      "fastag": {
        ...
      }
    },
    {
      "id": "marketpe1235",
      "autoIdentifier": "VEH-002",
      ...
    }
  ]
}

Last updated on